%define pypi_name pyls_black
%define module pyls-black

Name:           python-%{module}
Version:        0.4.7
Release:        %mkrel 2
Summary:        Black plugin for the Python Language Server
Group:          Development/Python
License:        MIT
URL:            https://github.com/rupert/pyls-black
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{module}-%{version}.tar.gz
# license file not present in pypi tarball
Source1:        LICENSE
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(isort)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
Black plugin for the Python Language Server. pyls-black can either format an
entire file or just the selected text. The code will only be formatted if
it is syntactically valid Python. Text selections are treated as if they
were a separate Python file.

%package -n     python3-%{module}
Summary:        Black plugin for the Python Language Server
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Black plugin for the Python Language Server. pyls-black can either format an
entire file or just the selected text. The code will only be formatted if
it is syntactically valid Python. Text selections are treated as if they
were a separate Python file.


%prep
%autosetup -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# install license
mkdir -p %{buildroot}%{_datadir}/licenses/python3-%{module}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/licenses/python3-%{module}

%files -n python3-%{module}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Mar 27 2022 umeabot <umeabot> 0.4.7-2.mga9
+ Revision: 1829113
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.4.7-1.mga9
+ Revision: 1775513
- version 0.4.7
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.4.6-2.mga9
+ Revision: 1707356
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 0.4.6-1.mga8
+ Revision: 1669514
- initial package python-pyls-black (needed for spyder)

